View Issue Details

IDProjectCategoryView StatusLast Update
0001623Anope Stable (2.0.x series)Generalpublic2015-03-12 14:43
Reporterwebczat Assigned ToAdam  
PrioritynormalSeveritycrashReproducibilityrandom
Status resolvedResolutionfixed 
Summary0001623: random crash on ldap authentication
DescriptionHello.

I am using anope's ldap authentication module to integrate services with ldap user accounts.
However, I see the following problems:
Sometimes when giving an incorrect password the log says "protocol error" although that may be some configuration problem,
And also there is a more serious problem that if I try to quickly identify/logout/identify, although it usually works, it will completely crash anope after 2 or 3 tries, not sure if doing it slower changes things.
Steps To Reproduce1. Configure anope to use ldap authentication.
2. Login to your account, see it succeeded.
3. Try to quickly log out and back in, after few successful logins there will be a crash without anything interesting in logs.
Additional InformationIt is anope-2.0.1 compiled without debug info, debug logging is also disabled at the moment.
TagsNo tags attached.

Activities

Adam

2015-03-12 14:43

administrator   ~0006721

Reopen if still an issue post fb17bc85ead8c1be6ebe1561f77865f083fdc000

webczat

2014-12-02 01:24

reporter   ~0006681

I believe that linking with ldap_r solves the problem, at least when testing logout/login I didn't crash services as before.

Adam

2014-11-30 19:20

administrator   ~0006679

Try changing m_ldap to link to ldap_r not ldap.

webczat

2014-11-29 09:24

reporter   ~0006678

I attach valgrind and gdb's bt full output, I don't have them in any other form so giving links to pastebin:
bt full: http://pastebin.anope.org/index.php?page=viewpaste&id=761b3f51d4
valgrind: http://pastebin.anope.org/index.php?page=viewpaste&id=d15fd255df

webczat

2014-11-28 14:33

reporter   ~0006676

Honestly, unless I am wrong, I am using openldap 2.4.40 manually compiled and put to /usr/local, ldd says m_ldap links to this one.

DukePyrolator

2014-11-28 07:54

administrator   ~0006675

Last edited: 2014-11-28 07:56

View 3 revisions

Are you using debian? I had the same bug on my debian box.
The debugger said its a bug in the ldap library.
After installing the library from www.openldap.org the bug was gone.

I think this also fixed the protocol error log message.

Issue History

Date Modified Username Field Change
2014-11-28 03:01 webczat New Issue
2014-11-28 07:54 DukePyrolator Note Added: 0006675
2014-11-28 07:55 DukePyrolator Note Edited: 0006675 View Revisions
2014-11-28 07:56 DukePyrolator Note Edited: 0006675 View Revisions
2014-11-28 14:33 webczat Note Added: 0006676
2014-11-29 09:24 webczat Note Added: 0006678
2014-11-30 19:20 Adam Note Added: 0006679
2014-12-02 01:24 webczat Note Added: 0006681
2015-03-12 14:43 Adam Note Added: 0006721
2015-03-12 14:43 Adam Status new => resolved
2015-03-12 14:43 Adam Resolution open => fixed
2015-03-12 14:43 Adam Assigned To => Adam